Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingQueue<E>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingCollection<E>
              com.google.common.collect.ForwardingQueue<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Queue<E>

    public abstract class ForwardingQueue<E>

extends ForwardingCollection<E>
implements Queue<E>

A queue which forwards all its method calls to another queue. Subclasses should override one or more methods to modify the behavior of the backing queue as desired per the decorator pattern.

Author:
  Mike Bostock
See Also:
  `ForwardingObject`

Constructor Summary
`ForwardingQueue()`

Method Summary
`protected abstract Queue<E>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`E` | `element()` Retrieves, but does not remove, the head of this queue.
`boolean` | `offer(E o)` Inserts the specified element into this queue if it is possible to do so immediately without violating capacity restrictions.
`E` | `peek()` Retrieves, but does not remove, the head of this queue, or returns `null` if this queue is empty.
`E` | `poll()` Retrieves and removes the head of this queue, or returns `null` if this queue is empty.
`E` | `remove()` Retrieves and removes the head of this queue.

Methods inherited from class com.google.common.collect.ForwardingCollection
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Queue
`add`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### ForwardingQueue

    public ForwardingQueue()

Method Detail

### delegate

    protected abstract Queue<E> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingCollection<E>`

### offer

    public boolean offer(E o)

  Description copied from interface: `java.util.Queue`
  Inserts the specified element into this queue if it is possible to do so immediately without violating capacity restrictions. When using a capacity-restricted queue, this method is generally preferable to `Queue.add(E)`, which can fail to insert an element only by throwing an exception.

  Specified by:
    `offer` in interface `Queue<E>`
  Parameters:
    `o` - the element to add
  Returns:
    `true` if the element was added to this queue, else `false`

### poll

    public E poll()

  Description copied from interface: `java.util.Queue`
  Retrieves and removes the head of this queue, or returns `null` if this queue is empty.

  Specified by:
    `poll` in interface `Queue<E>`
  Returns:
    the head of this queue, or `null` if this queue is empty

### remove

    public E remove()

  Description copied from interface: `java.util.Queue`
  Retrieves and removes the head of this queue. This method differs from `poll` only in that it throws an exception if this queue is empty.

  Specified by:
    `remove` in interface `Queue<E>`
  Returns:
    the head of this queue

### peek

    public E peek()

  Description copied from interface: `java.util.Queue`
  Retrieves, but does not remove, the head of this queue, or returns `null` if this queue is empty.

  Specified by:
    `peek` in interface `Queue<E>`
  Returns:
    the head of this queue, or `null` if this queue is empty

### element

    public E element()

  Description copied from interface: `java.util.Queue`
  Retrieves, but does not remove, the head of this queue. This method differs from `peek` only in that it throws an exception if this queue is empty.

  Specified by:
    `element` in interface `Queue<E>`
  Returns:
    the head of this queue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD